forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luca Morandini <luca.morandi...@tin.it>
Subject Re: Forrest CVS and Cocoon 2.1-M1/Xalan 2.5.0
Date Sat, 17 May 2003 20:22:04 GMT
J.Pietschmann wrote:
> Luca Morandini wrote:
> 
>> Unfortunately, I'm converting my shop to Cocoon 2.1-M1, which uses 
>> said version of Xalan... any work-around or patch available ?
> 
> 
> There were no interface changes, just get Xalan 2.4.1 or whatever
> works for you and replace the jar. That's called "fallback" :-)
> 
> J.Pietschmann
> 
> 

I beg to differ, when I substitute Xalan 2.5.0 with Xalan 2.4.1, the 
Cocoon 2.1M1 samples page utters:
<<java.lang.IllegalAccessError: class 
org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2$AncestorIterator cannot access 
its superclass 
org.apache.xml.dtm.ref.DTMDefaultBaseIterators$InternalAxisIteratorBase>>
	
Hence, it seems Cocoon 2.1M1 and Forrest are incompatible when it comes 
to Xalan, am I wrong ?

Regards,

------------------------------------------
                Luca Morandini
                GIS Consultant
               lmorandini@ieee.org
http://space.virgilio.it/kumora/index.html
------------------------------------------



Mime
View raw message